using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;

namespace Administration
{
    public class SimpleItem : INotifyPropertyChanged
    {
        private int id;
        private string name;

        public int ID
        {
            get
            {
                return id;
            }
            set
            {
                id = value;
            }
        }

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        public SimpleItem()
        {
        }

        public SimpleItem(int id, string name)
        {
            this.id = id;
            this.name = name;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
